summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorNorbert Preining <preining@logic.at>2016-04-16 00:11:03 +0000
committerNorbert Preining <preining@logic.at>2016-04-16 00:11:03 +0000
commit9b5cfbfec02f0729c4a903d56010cf9a3495f8ed (patch)
treeabd95698f53ebee70d45d72945f885b166009689 /Master/tlpkg
parentc861b47a77d1d1b447cefc6843cf8807852c30cf (diff)
add tl-sign-file script
git-svn-id: svn://tug.org/texlive/trunk@40543 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-sign-file15
1 files changed, 15 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-sign-file b/Master/tlpkg/bin/tl-sign-file
new file mode 100755
index 00000000000..2578698f8ff
--- /dev/null
+++ b/Master/tlpkg/bin/tl-sign-file
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Public domain. Originally written 2016, Norbert Preining
+# Sign a file for release in TeX Live
+
+if [ -z "$1" ] ; then
+ echo "no argument given, nothing to sign" >&2
+ exit 1
+fi
+# remove previous signature
+rm -f "$1.asc"
+# sign
+gpg --batch --homedir /home/texlive/.gnupg \
+ --passphrase-file /home/texlive/.gnupg/passphrase \
+ --armor --detach-sign --local-user 0x06BAB6BC "$1"
+